﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Infragistics.Web.Mvc;
using igComboTraining.Data;

namespace igComboTraining.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public ActionResult igComboTutorialRazor()
        {
            //simple list to be used as a datasource for the combo
			List<String> dataSourceCountry = new List<String>();
			dataSourceCountry.Add("USA");
			dataSourceCountry.Add("UK");
			dataSourceCountry.Add("Bulgaria");

			List<DropDownItem> dataSourceCity = new List<DropDownItem>();
			dataSourceCity.Add(new DropDownItem("Bulgaria", "Sofia"));
			dataSourceCity.Add(new DropDownItem("Bulgaria", "Veliko Turnovo"));
			dataSourceCity.Add(new DropDownItem("USA", "New York"));
			dataSourceCity.Add(new DropDownItem("USA", "Chicago"));
			dataSourceCity.Add(new DropDownItem("UK", "London"));
			dataSourceCity.Add(new DropDownItem("UK", "Manchester"));
			
            //add the list to the view's ViewData
			ViewData.Add(new KeyValuePair<string, object>("DataSourceCountry", dataSourceCountry));
			return View(dataSourceCity);
        }

		public ActionResult GetList()
		{
			List<DropDownItem> dataSourceCity = new List<DropDownItem>();
			dataSourceCity.Add(new DropDownItem("Bulgaria", "Sofia"));
			dataSourceCity.Add(new DropDownItem("Bulgaria", "Veliko Turnovo"));
			dataSourceCity.Add(new DropDownItem("USA", "New York"));
			dataSourceCity.Add(new DropDownItem("USA", "Chicago"));
			dataSourceCity.Add(new DropDownItem("UK", "London"));
			dataSourceCity.Add(new DropDownItem("UK", "Manchester"));

			return View(dataSourceCity.AsQueryable());
		}

    }
}
